package com.fs.his.service;

import com.fs.his.dto.DataDTO;
import com.fs.his.dto.inquiryOrderChartDTO;
import com.fs.his.vo.*;

import java.util.List;

public interface IFsDataService {


    OrderDataVO getOrderData();

    List<ChartDataVO> getOrderChartData();

    List<DoctorChartVO> doctorChartData(Integer type);

    List<ChartDataVO> storeOrderChart(DataDTO dto);

    List<ChartDataVO> inquiryOrderChart(inquiryOrderChartDTO dto);

    List<ChartDaVO> storeOrderChartStore(DataDTO dto);

    List<ChartDaVO> inquiryOrderChartInq(inquiryOrderChartDTO dto);

    List<ChartProdVO> ChartProdVO(DataDTO dto);

    StoreOrderDataVO getStoreOrderData(Long id);

    List<ChartDataVO> getStoreOrderChartData(Long loginUserStoreID);

    List<DoctorChartVO> storeChartData(Integer type, Long loginUserStoreID);

    List<ChartDataVO> getInquiryOrderChartData();

    List<ChartDataVO> getDoctorInquiryOrderChartData(Long doctorId);

    Long todayInquiryCount(Long doctorId);


}
